Skip to main content
`Ctrl`+`K`

# LMEConvergedReason

Reason a matrix function iteration was determined to have converged or diverged.

## Synopsis

    typedef enum {/* converged */
                  LME_CONVERGED_TOL                =  1,
                  /* diverged */
                  LME_DIVERGED_ITS                 = -1,
                  LME_DIVERGED_BREAKDOWN           = -2,
                  LME_CONVERGED_ITERATING          =  0} LMEConvergedReason;

## Values

- `LME_CONVERGED_TOL` - requested decrease in the residual

- `LME_DIVERGED_ITS` - requested number of iterations

- `LME_DIVERGED_BREAKDOWN` - breakdown in the solver

- `LME_CONVERGED_ITERATING` - the solver is still running

## See Also

LME: Linear Matrix Equation, `LMESolve()`, `LMEGetConvergedReason()`, `LMESetTolerances()`

## Level

intermediate

## Location

include/slepclme.h

## Examples

src/lme/tutorials/ex32.c

Index of all LME routines Table of Contents for all manual pages Index of all manual pages